Subject: Re: bug#54942: Can't run guix upgrade when a package is installed with the --with-git-url transformation

From: Greg Hogan <[email-masked]>
Date: Mon, 18 Apr 2022 15:08:43 -0400

Hi,

The manual page Defining Package Variants [0] gives an example translating
command-line options into a Guix manifest. The full list of options is
found in the source [1] (including with-git-url).

[0] https://guix.gnu.org/manual/en/html_node/Defining-Package-Variants.html
[1]
https://git.savannah.gnu.org/cgit/guix.git/tree/guix/transformations.scm?id=237d90a7808cfdced34b34595eba16632cbcb89e#n794

Greg

On Sat, Apr 16, 2022 at 8:18 AM SeerLite via Bug reports for GNU Guix <
[email-masked]> wrote:

> Hi!
>
> I installed a package with --with-git-url and --with-branch to my profile:
>
>      guix install kakoune
> --with-git-url=kakoune=https://github.com/mawww/kakoune.git
> --with-branch=kakoune=breaking-cleanups
>
> However, now I can't run `guix upgrade`. I get the following error:
>
>      guix upgrade: error: the source of [email-masked] is not a Git
> reference
>
> I also tried to add the same transformation options to `guix upgrade`,
> but I got the same error.
>
>
> Is installing packages with the --with-git-url transformation to
> profiles not supported? Or is this a bug?
>
> Ideally I'd like `guix upgrade` to remember the way in which this
> package was installed and update it accordingly. In this case by
> fetching the latest changes from the breaking-cleanups branch. Is this
> not how this transformation option works?
>
> Thanks :)
>
>
>
>